=== ui/i18n/Makefile ===
all: update_langs gen_qm

update_langs:
	@pylupdate5 opensnitch_i18n.pro

gen_qm:
	@./generate_i18n.sh
