=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
#export DESTDIR = "debian/opensnitch"
#export PYBUILD_SYSTEM=distutils

override_dh_dwz:
	dwz -- debian/opensnitch/usr/bin/daemon || true
	mv debian/opensnitch/usr/bin/daemon debian/opensnitch/usr/bin/opensnitchd

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
#	dh $@ --with python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_build:
	dh_auto_build
	cd ui && python3 setup.py build --force

override_dh_auto_install:
	dh_auto_install
#	cd ui/i18n && make && cp -r locales/ ../opensnitch/i18n/ # Fixme lrelease not found, export path failed
	cd ui && python3 setup.py install --force --root=debian/opensnitch-ui --no-compile -O0 --install-layout=deb

override_dh_auto_clean:
	#cd ui && rm -rf opensnitch/i18n/
	#cd ui && python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;
