## opensnitch 1.5.8

=== debian/changelog ===
opensnitch (1.5.8-2ubuntu0.1) lunar-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 09:17:24 +0530

opensnitch (1.5.8-2) unstable; urgency=medium

  * Upload to unstable.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 21 Feb 2023 21:26:21 +0100

opensnitch (1.5.8-1) experimental; urgency=medium

  * New upstream release.

  [ Gustavo Iñiguez Goia ]
  * ui: added 64x64 icon.
  * Added missing entry for GUI manual page.
  * Updated appstream Summary field.
  * Removed ftrace dependency from d/control.
  * ui: updated appstream Summary field.
  * Updated d/control Description.

  [ Petter Reinholdtsen ]
  * Added appstream content rating, no restrictions.
  * Corrected appstream icon name.
  * Documented appstream metadata license in d/copyright.
  * Place manual pages in correct packages.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Sun, 19 Feb 2023 10:26:46 +0100

opensnitch (1.5.7-3) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * fixed /etc/xdg/autostart/ link

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 15 Feb 2023 22:41:19 +0100

opensnitch (1.5.7-2) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * added opensnitchd manual page
  * added new manual page, updated opensnitchd.1
  * improved debian/tests/

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Mon, 13 Feb 2023 12:43:19 +0100

opensnitch (1.5.7-1) unstable; urgency=medium

  * New upstream release

  [ Gustavo Iñiguez Goia ]
  * Set test-fw-rules.sh as flaky.
  * Make test-fw-rules.sh more verbose.

  [ Petter Reinholdtsen ]
  * Fixed typo in nb comment of desktop file.
  * Added appstream desktop category to metadata XML.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Fri, 10 Feb 2023 13:28:23 +0100

opensnitch (1.5.6-1) unstable; urgency=medium

  * New upstream release

  [ Gustavo Iñiguez Goia ]
  * tests: removed Architecture: restriction
  * changed Maintainer: field to team+pkg-go
  * added new test
  * added Uploaders field
  * updated Vcs* fields

  [ Petter Reinholdtsen ]
  * Added Debian package relation between opensnitch and
    python3-opensnitch-ui.
  * Handle autopkgtest scripts differently, as they have different
    requirements.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 07 Feb 2023 21:29:48 +0100

opensnitch (1.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 01 Feb 2023 22:37:12 +0100

opensnitch (1.5.4-1) unstable; urgency=high

  * New upstream release. (Closes: #1030115)
  * debian/control:
    - Updated packages description.
    - Removed debconf and whiptail|dialog dependencies.
    - Added xdg-user-dirs, gtk-update-icon-cache dependencies.
    - Point Vcs-Git field to the 1.5.0 branch.
  * debian/postinst:
    - Fixed opensnitch_ui.desktop installation.
    - Fixed updating icons cache.
  * debian/postrm:
    - Fixed removing opensnitch_ui.desktop
  * debian/tests/:
    - Added autopkgtests.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 31 Jan 2023 23:48:58 +0100

opensnitch (1.5.3-1) unstable; urgency=medium

  * Added debian/upstream/metadata.
  * Updated Homepage url.
  * Updated Copyright years.

 -- Gustavo-Iniguez-Goya <gustavo.iniguez.goya@gmail.com>  Sun, 22 Jan 2023 21:30:45 +0100

opensnitch (1.5.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #909567)

 -- Gustavo-Iniguez-Goya <gustavo.iniguez.goya@gmail.com>  Fri, 20 Jan 2023 22:26:40 +0000

opensnitch (1.5.2-1) unstable; urgency=medium

  * try to mount debugfs on boot up

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Wed, 27 Jul 2022 17:29:33 +0200

opensnitch (1.5.1-1) unstable; urgency=medium

  * Better eBPF cache.
  * Fixed error resolving domains to localhost.
  * Fixed error deleting our nftables rules.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 25 Feb 2022 01:21:38 +0100

opensnitch (1.5.0-1) unstable; urgency=medium

  * New release.
  * Added Reject option.
  * New lists types to block ads/malware/...
  * Better connections interception.
  * Better VPNs handling.
  * Bug fixes.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 28 Jan 2022 23:20:38 +0100

opensnitch (1.5.0~rc2-1) unstable; urgency=medium

  * Better connections interception.
  * Improvements.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 16 Jan 2022 23:15:12 +0100

opensnitch (1.5.0~rc1-1) unstable; urgency=medium

  * New features.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 07 Oct 2021 14:57:35 +0200

opensnitch (1.4.0-1) unstable; urgency=medium

  * final release.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 27 Aug 2021 13:33:07 +0200

opensnitch (1.4.0~rc4-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 11 Aug 2021 15:17:49 +0200

opensnitch (1.4.0~rc3-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 16 Jul 2021 23:28:52 +0200

opensnitch (1.4.0~rc2-1) unstable; urgency=medium

  * Added eBPF support.
  * Fixes and improvements.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 07 May 2021 01:08:02 +0200

opensnitch (1.4.0~rc-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 25 Mar 2021 01:02:31 +0100
