## opensnitch 1.5.8.1

=== daemon/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+#SRC contains all *.go *.c *.h files in daemon/ and its subfolders 
+SRC := $(shell find . -type f -name '*.go' -o -name '*.h' -o -name '*.c')
+
 all: opensnitchd
 
 install:
@@ -8,7 +11,8 @@
 	@cp system-fw.json /etc/opensnitchd/
 	@systemctl daemon-reload
 
-opensnitchd:
+opensnitchd: $(SRC)
+	@go get
 	@go build -o opensnitchd . 
 
 clean:
