=== debian/changelog ===
opensnitch (1.5.8.1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 16:13:08 +1000

opensnitch (1.5.8.1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 12:25:18 +1000

opensnitch (1.5.8.1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 10:55:00 +0530

opensnitch (1.5.8.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:15 +1200

opensnitch (1.5.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Mon, 06 Mar 2023 12:37:24 +0100
