=== debian/changelog ===
opensnitch (1.5.9-2) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * d/control: fixed Build-Depends, kernel headers dep
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Sat, 10 Jun 2023 00:08:25 +0200

opensnitch (1.5.9-1) experimental; urgency=medium

  * New upstream release.
  * d/control:
    - New package opensnitch-ebpf-modules.
  * d/man/:
    - Updated dates.
    - New page opensnitch-ebpf-modules.1
  * Added README.Debian.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 07 Jun 2023 23:18:40 +0200
