=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: opensnitch
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>
 Section: devel
 Priority: optional
@@ -25,7 +24,10 @@
  qttools5-dev-tools,
  python3-all,
  python3-grpc-tools,
- python3-setuptools
+ python3-setuptools,
+ linux-headers-generic,
+ clang,
+ llvm
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/opensnitch
 Vcs-Git: https://salsa.debian.org/go-team/packages/opensnitch.git
@@ -39,7 +41,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: python3-opensnitch-ui
+Recommends: python3-opensnitch-ui, opensnitch-ebpf-modules
 Built-Using: ${misc:Built-Using}
 Description: GNU/Linux interactive application firewall
  Whenever a program makes a connection, it'll prompt the user to allow or deny
@@ -92,3 +94,16 @@
  .
  OpenSnitch can also work as a system-wide domains blocker, by using lists
  of domains, list of IPs or list of regular expressions.
+
+
+Package: opensnitch-ebpf-modules
+Architecture: any
+Section: net
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests: opensnitch
+Description: GNU/Linux interactive application firewall eBPF modules
+ opensnitch-ebpf-modules provides the eBPF modules.
+ It provides the functionality to intercept connections at kernel level,
+ offering better performance and reliability.
