## opensnitch 1.6.0

=== ebpf_prog/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	EXTRA_FLAGS = "-D__LINUX_ARM_ARCH__=7"
 endif
 
-BIN := opensnitch.o
+BIN := opensnitch.o opensnitch-procs.o opensnitch-dns.o
 CLANG_FLAGS = -I. \
 	-I$(KERNEL_HEADERS)/arch/$(ARCH)/include/generated/ \
 	-I$(KERNEL_HEADERS)/include \
