=== proto/Makefile ===
--- 
+++ 
@@ -8,7 +8,5 @@
 
 clean:
 	@rm -rf ../daemon/ui/protocol/ui.pb.go
-	@rm -rf ../daemon/ui/protocol/ui_grpc.pb.go
 	@rm -rf ../ui/opensnitch/ui_pb2.py
 	@rm -rf ../ui/opensnitch/ui_pb2_grpc.py
-
