=== debian/changelog ===
opensnitch (1.6.0-0.1~mx23+1) mx; urgency=medium

  * Import new 1.6.0 release.
  * Add golang-github-varlink-go-dev and golang-github-google-uuid-dev to BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Jul 2023 15:35:04 -0700

opensnitch (1.5.9-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Jul 2023 14:25:50 -0700
