=== debian/rules ===
--- 
+++ 
@@ -47,3 +47,7 @@
 	$(RM) -r ui/opensnitch_ui.egg-info/
 	find ui -name \*.pyc -exec rm {} \;
 	$(MAKE) -C ebpf_prog/ clean
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
